%define pypi_name translationstring

Name:           python-%{pypi_name}
Version:        1.4
Release:        %mkrel 5
Summary:        Utility library for i18n relied on by various Repoze and Pyramid packages
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/translationstring/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A library used by various Pylons Project packages for internationalization
(i18n) duties related to translation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
A library used by various Pylons Project packages for internationalization
(i18n) duties related to translation.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Dec 17 2023 papoteur <papoteur> 1.4-5.mga10
+ Revision: 2018517
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 1.4-4.mga9
+ Revision: 1823200
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 1.4-3.mga9
+ Revision: 1781548
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 1.4-2.mga9
+ Revision: 1708450
- rebuild for python 3.9

* Sun Jul 26 2020 guillomovitch <guillomovitch> 1.4-1.mga8
+ Revision: 1609184
- new version 1.4

* Thu Jul 23 2020 ovitters <ovitters> 1.3-4.mga8
+ Revision: 1608316
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.3-3.mga8
+ Revision: 1532684
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.3-2.mga8
+ Revision: 1442597
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.3-1.mga8
+ Revision: 1417068
- imported package python-translationstring

